# Class Util.GenericArrayTypeImpl

java.lang.Object
com.ryanharter.auto.value.gson.internal.Util.GenericArrayTypeImpl

All Implemented Interfaces:
  `GenericArrayType, Type`

Enclosing class:
  `Util`

public static final class Util.GenericArrayTypeImpl extends Object implements GenericArrayType

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Type`
`getGenericComponentType()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Type

`getTypeName`

## Method Details

### getGenericComponentType

public Type getGenericComponentType()

Specified by:
  `getGenericComponentType` in interface `GenericArrayType`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`